Query Callback List and Count Callback

📘

Supported Regions and Base URLs
👍

Access and RegistrationAuthentication

Scope

schedule-callbacks:read

Body Schema - Response

200 OK (query callback list and count callback)

ParameterTypeDescriptionRequired
total_pageintegerTotal of pages. >= 0yes
totalintegerTotal of elements. >= 0yes
pageintegerNumber of the requested page. Defaults to 0 when not provided, which is first page. >= 1yes
per_pageinteger

The maximum amount of items per page. Defaults to 50 when not provided.

= 1

yes
countintegerNumber of elements in the current page. >= 0yes
_linksobject

"_links" subdivides into:

1 - "self" (object) - the link to the current page. Required.
1.1 - "href" (string) - the hypertext reference describing this link. Required.

2 - "first" (object) - the link to the first page. Required.
2.1 - "href" (string) - the hypertext reference describing this link. Required.

3 - "last" (object) - the link to the last page. Required.
3.1 - "href" (string) - the hypertext reference describing this link. Required.

4 - "prev" (object) - the link to the previous page. Required.
4.1 - "href" (string) - the hypertext reference describing this link. Required.

yes
_embeddedobject

"_embedded" subdivides into:

1 - "id" (string) - ID of the callback.

2 - "callback_id" (string) - ID of the callback. Required.

3 - "interaction_id" (string) - the interaction ID of where the callback originates from.

4 - "campaign_id" (string) - The campaign ID of where the callback originates from.

5 - "record_id" (string) - the ID of the record list where the record comes from.

6 - "record_list_id" (string) - the ID of the record list that is scheduled to be called.

7 - "phone_number" (string) - the phone number that is scheduled to be called.

8 - "record_first_name" (string) - first name of the record that is scheduled to be called.

9 - "record_last_name" (string) - last name of the record that is scheduled to be called.

10 - "record_last_name" (string) - last name of the record that is scheduled to be called.

11 - "record_extra_data" (object) - extra data from the record that is scheduled to be called.

12 - "caller_id" (string) - the number that will be shown as the caller.

13 - "time_to_call" (string<date-time>) - the original time of the callback set by agent.

14 - "next_time_to_call" (string<date-time>) - the next time the callback will be retried.

15 - "timezone"
(string)
- the timezone in which the callback is scheduled.

16 - "exclusive_to_agent"
(boolean)
- this defines if a callback is for a specific agent.

17 - "agent_id"
(string)
- the assigned agent id of schedule callback. Returns the callbacks which are specifically assigned to an agent (Myself only, Myself if available), or assigned to specific agents including her/him.

18 - "contact_id"
(string)
- the ID of the contact that is scheduled to be called.

19 - "status"
(string)
- the status of callback. Allowed values:
UNATTEMPTED,
TO_BE_RETRIED,
EXHAUSTED, SUCCESS,
CANCELED,
INVALID_NUMBER.

20 - "assign_type"
(string)
- describes what assign type is this related to. Allowed values:
MYSELF_ONLY,
SPECIFIC_AGENT,
SPECIFIC_RING_GROUP,
MYSELF_IF_AVAILABLE,
ANY_ELIGIBLE_AGENT.

21 - "from_call_type"
(string)
- describes what call type is this related to. Allowed values:
INBOUND,
MANUAL_OUTBOUND,
PROACTIVE_OUTBOUND.

22 - "dialing_model"
(string)
- describes what dialing model is this related to. Allowed values:
PREDICTIVE, PREVIEW.

23 - "_links" (object)
23.1 - "self" (object). Required.
23.1.1 - "href" (string). Required.

yes

400 (errors were found in the submitted data), 401 (unauthorized), 403 (forbidden)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
❗️

API Availability

The Scheduled Callback Management API is only available for customers enrolled in Talkdesk's Early Access (EA) program.

To enter the EA program, contact a Customer Sucess Manager.

The Scheduled Callback Management API has been in GA since March 2022.

🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Query Params
string

The assigned agent id of schedule callback. Return the callbacks which are specifically assigned to an agent (Myself only, Myself if available), or assigned to specific agents including her/him. <= 35 characters

string

The campaign ID of where the callback originates from. <= 35 characters

string

The ID of the contact that is scheduled to be called. <= 35 characters

date

End of next time to call. <= 35 characters

int32
Defaults to 1

Page. >= 1 <= 500

int32
Defaults to 1

Per page. >= 1 <= 500

string

The phone number that is scheduled to be called. <= 36 characters

string

The ID of the record that is scheduled to be called. <= 36 characters

date

The time the callback is scheduled. <= 35 characters

string

The status of callback. <= 35 characters

Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json